## kxmlgui 5.68.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.68.0") # handled by release scripts
set(KF5_DEP_VERSION "5.68.0") # handled by release scripts
project(KXmlGui VERSION ${KF5_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.68.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMMarkNonGuiExecutable)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(ECMGenerateExportHeader)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMQtDeclareLoggingCategory)

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KXMLGUI
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kxmlgui_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlGuiConfigVersion.cmake"
                  SOVERSION 5)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(FORCE_DISABLE_KGLOBALACCEL "Force building KXmlGui without KGlobalAccel. Doing this will break global shortcut support. [default=OFF]" OFF)
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

# Dependencies
set(REQUIRED_QT_VERSION 5.12.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets Xml Network PrintSupport)
if (NOT ANDROID)
  find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
endif()

find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5ItemViews ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Attica ${KF5_DEP_VERSION})
set_package_properties(KF5Attica PROPERTIES DESCRIPTION "A Qt library that implements the Open Collaboration Services API"
                       PURPOSE "Support for Get Hot New Stuff in KXMLGUI"
                       URL "https://commits.kde.org/attica"
                       TYPE OPTIONAL
                      )
set (HAVE_ATTICA ${KF5Attica_FOUND})

if (NOT FORCE_DISABLE_KGLOBALACCEL)
    find_package(KF5GlobalAccel ${KF5_DEP_VERSION} REQUIRED)
endif()
set (HAVE_GLOBALACCEL ${KF5GlobalAccel_FOUND})
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054300)
add_definitions(-DTRANSLATION_DOMAIN=\"kxmlgui5\")
add_definitions(-DQT_NO_FOREACH)
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()

# Subdirectories
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5XmlGui")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5XmlGui_QCH
        FILE KF5XmlGuiQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5XmlGuiQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

set(HAVE_DBUS FALSE)
if (TARGET Qt5::DBus)
  set(HAVE_DBUS TRUE)
endif()
configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5XmlGuiConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlGuiConfig.cmake"
  PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlGuiConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5XmlGuiConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5XmlGuiTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5XmlGuiTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kxmlgui_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
add_subdirectory(ksendbugmail)

if (HAVE_ATTICA)
   set (XMLGUI_EXTRA_LIBS ${XMLGUI_EXTRA_LIBS} KF5::Attica)
endif ()
if (HAVE_GLOBALACCEL)
   set (XMLGUI_EXTRA_LIBS ${XMLGUI_EXTRA_LIBS} KF5::GlobalAccel)
endif ()
if(WIN32)
    set (XMLGUI_EXTRA_LIBS ${XMLGUI_EXTRA_LIBS} secur32) # GetUserNameEx()
endif()

configure_file(config-xmlgui.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-xmlgui.h )

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/kaboutapplicationconfigattica_p.h.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/kaboutapplicationconfigattica_p.h
)

set(kxmlgui_SRCS
  kaboutapplicationdialog.cpp
  kaboutapplicationpersonlistdelegate_p.cpp
  kaboutapplicationpersonlistview_p.cpp
  kaboutapplicationpersonmodel_p.cpp
  kaboutkdedialog_p.cpp
  kaboutplugindialog.cpp
  kabstractaboutdialog_p.cpp
  kactioncategory.cpp
  kactioncollection.cpp
  kactionconflictdetector.cpp
  kbugreport.cpp
  kedittoolbar.cpp
  khelpmenu.cpp
  kkeysequencewidget.cpp
  klicensedialog_p.cpp
  kmainwindow.cpp
  kmenumenuhandler_p.cpp
  kshortcuteditwidget.cpp
  kshortcutschemeseditor.cpp
  kshortcutschemeshelper.cpp
  kshortcutsdialog.cpp
  kshortcutseditor.cpp
  kshortcutseditordelegate.cpp
  kshortcutseditoritem.cpp
  kshortcutwidget.cpp
  kswitchlanguagedialog_p.cpp
  ktoggletoolbaraction.cpp
  ktoolbar.cpp
  ktoolbarhandler.cpp
  ktoolbarhelper.cpp
  kxmlguibuilder.cpp
  kxmlguiclient.cpp
  kxmlguifactory.cpp
  kxmlguifactory_p.cpp
  kxmlguiversionhandler.cpp
  kxmlguiwindow.cpp
  kundoactions.cpp
  kcheckaccelerators.cpp
)
if (TARGET Qt5::DBus)
  list(APPEND kxmlgui_SRCS kmainwindowiface.cpp)
endif()

# add the resource file
qt5_add_resources(kxmlgui_SRCS kxmlgui.qrc)

ecm_qt_declare_logging_category(kxmlgui_SRCS
    HEADER debug.h
    IDENTIFIER DEBUG_KXMLGUI
    CATEGORY_NAME kf5.kxmlgui
    DESCRIPTION "KXmlGui"
    EXPORT KXMLGUI
)

set(kxmlgui_UI
   kshortcutsdialog.ui
   kshortcutwidget.ui
)

ki18n_wrap_ui(kxmlgui_SRCS ${kxmlgui_UI} )

add_library(KF5XmlGui ${kxmlgui_SRCS})
ecm_generate_export_header(KF5XmlGui
    BASE_NAME KXmlGui
    GROUP_BASE_NAME KF
    VERSION ${KF5_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 4.0 4.1 5.0
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

add_library(KF5::XmlGui ALIAS KF5XmlGui)

target_include_directories(KF5XmlGui INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KXmlGui>")

target_link_libraries(KF5XmlGui
PUBLIC
    Qt5::Xml            #To parse the configuration (QDomDocument etc)
    Qt5::Widgets        #QWidget is used everywhere
    KF5::ConfigCore         #Reading config for ToolbarIcons, Shortcut Schemes...
    KF5::ConfigWidgets      #KStandardAction, KToggleAction...
PRIVATE
    Qt5::Network        #QNetworkAccessManager in kaboutapplicationpersonmodel_p
    Qt5::PrintSupport   #QPrinter in kshortcutseditor
    Qt5::CorePrivate    #QSystemLocale in initializeLanguages
    KF5::CoreAddons     #KAboutData
    KF5::WidgetsAddons
    KF5::ItemViews           #KWidgetItemDelegate in KAboutApplicationPersonListDelegate
    KF5::I18n                #i18n and i18nc in many places
    KF5::IconThemes         #KIconLoader and KIconThemes in KToolBar
    KF5::WindowSystem       #KKeyServer in kkeysequencewidget
    ${XMLGUI_EXTRA_LIBS}
)
if (TARGET Qt5::DBus)
  target_link_libraries(KF5XmlGui PUBLIC Qt5::DBus) #QDBus connect to signal in KToolBar
endif()

set_target_properties(KF5XmlGui PROPERTIES VERSION   ${KXMLGUI_VERSION_STRING}
                                           SOVERSION ${KXMLGUI_SOVERSION}
                                           EXPORT_NAME XmlGui
)

ecm_generate_headers(KXmlGui_HEADERS
  HEADER_NAMES
  KAboutApplicationDialog
  KAboutPluginDialog
  KActionCategory
  KActionCollection
  KBugReport
  KEditToolBar
  KHelpMenu
  KKeySequenceWidget
  KMainWindow
  KShortcutsDialog
  KShortcutsEditor
  KShortcutWidget
  KToggleToolBarAction
  KToolBar
  KXMLGUIBuilder
  KXMLGUIClient
  KXMLGUIFactory
  KXmlGuiWindow
  KUndoActions

  REQUIRED_HEADERS KXmlGui_HEADERS
)

install(TARGETS KF5XmlGui EXPORT KF5XmlGuiTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kxmlgui_export.h
  ${KXmlGui_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KXmlGui COMPONENT Devel
)

# install this file to be compatible, it is bundled in the resource file, too
install( FILES ui_standards.rc  DESTINATION  ${KDE_INSTALL_CONFDIR}/ui )

if(BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()

ecm_qt_install_logging_categories(
    EXPORT KXMLGUI
    FILE kxmlgui.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if (BUILD_QCH)
    ecm_add_qch(
        KF5XmlGui_QCH
        NAME KXmlGui
        BASE_NAME KF5XmlGui
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KXmlGui_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt5Xml_QCH
            Qt5DBus_QCH
            Qt5Widgets_QCH
            KF5Config_QCH
            KF5ConfigWidgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KXMLGUI_EXPORT
            KXMLGUI_DEPRECATED_EXPORT
            KXMLGUI_DEPRECATED
            "KXMLGUI_DEPRECATED_VERSION(x, y, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KXmlGui LIB_NAME KF5XmlGui DEPS "dbus xml widgets KConfigCore KConfigWidgets" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KXmlGui)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kxmlgui (5.68.0-0ubuntu2) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-8.

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Apr 2020 20:02:40 +0100

kxmlgui (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:59:53 +0000

kxmlgui (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:52:38 +0000

kxmlgui (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:21:28 +0000

kxmlgui (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)
  * Update symbols files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:02:31 +0000

kxmlgui (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:26:42 +0000

kxmlgui (5.62.0-0ubuntu2) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-5

 -- Rik Mills <rikmills@kde.org>  Sat, 26 Oct 2019 09:11:34 +0100

kxmlgui (5.62.0-0ubuntu1) eoan; urgency=medium

  * Build depend on qttools5-dev for Qt5UiPlugin.
  * Install Qt designer plugin in -dev package.
  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:09:07 +0100

kxmlgui (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:44:47 +0100

kxmlgui (5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:18:14 +0100

kxmlgui (5.59.0-0ubuntu2) eoan; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-4.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 08 Jul 2019 11:32:59 +0300

kxmlgui (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:21:24 +0100

kxmlgui (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:42:34 +0100

kxmlgui (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:40:07 +0100

=== debian/control ===
Source: kxmlgui
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.68.0~),
               graphviz,
               libkf5attica-dev (>= 5.68.0~),
               libkf5config-dev (>= 5.68.0~),
               libkf5configwidgets-dev (>= 5.68.0~),
               libkf5coreaddons-dev (>= 5.68.0~),
               libkf5globalaccel-dev (>= 5.68.0~),
               libkf5i18n-dev (>= 5.68.0~),
               libkf5iconthemes-dev (>= 5.68.0~),
               libkf5itemviews-dev (>= 5.68.0~),
               libkf5textwidgets-dev (>= 5.68.0~),
               libkf5widgetsaddons-dev (>= 5.68.0~),
               libkf5windowsystem-dev (>= 5.68.0~),
               libqt5sql5-sqlite,
               libqt5x11extras5-dev (>= 5.6.1~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qtbase5-private-dev (>= 5.7.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kxmlgui
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlgui
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlgui

Package: libkf5xmlgui-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the runtime files.

Package: libkf5xmlgui-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the data files.

Package: libkf5xmlgui-dev
Architecture: any
Section: libdevel
Depends: libkf5attica-dev (>= 5.68.0~),
         libkf5config-dev (>= 5.68.0~),
         libkf5configwidgets-dev (>= 5.68.0~),
         libkf5globalaccel-dev (>= 5.68.0~),
         libkf5iconthemes-dev (>= 5.68.0~),
         libkf5itemviews-dev (>= 5.68.0~),
         libkf5textwidgets-dev (>= 5.68.0~),
         libkf5windowsystem-dev (>= 5.68.0~),
         libkf5xmlgui5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5xmlgui-doc (= ${source:Version})
Breaks: kio-dev (<< 5.28)
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 Contains development files for kxmlgui.

Package: libkf5xmlgui-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: User configurable main windows (documentation)
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the qch documentation files.

Package: libkf5xmlgui5
Architecture: any
Multi-Arch: same
Depends: libkf5xmlgui-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5xmlgui-bin (= ${binary:Version})
Breaks: frameworkintegration (<< 5.28),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5plasmaquick5 (<< 5.42),
        libkf5webkit5 (<< 5.42),
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5xmlgui5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8), openbox,
         libkf5globalaccel-bin
Restrictions: build-needed, allow-stderr

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## kxmlgui 5.74.0

=== debian/changelog ===
kxmlgui (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 11:01:15 +0100

kxmlgui (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update symbols.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 11:00:36 +0100

kxmlgui (5.72.0-0ubuntu2) groovy; urgency=medium

  * Disable build-needed testsuite.

 -- Rik Mills <rikmills@kde.org>  Mon, 03 Aug 2020 14:57:33 +0100

kxmlgui (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:35:11 +0100

kxmlgui (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:08:42 +0100

kxmlgui (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.
    - Keep Kubuntu symbols file.
    - Keep our install files.

 -- Rik Mills <rikmills@kde.org>  Sun, 07 Jun 2020 08:06:07 +0100

kxmlgui (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Set the distribution text (XMLGUI_DISTRIBUTION_TEXT) as "$vendor packages",
    just like it was set in kdelibs up to 4.x.
  * Update install files.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.22.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Remove not needed Depends.
  * Update group breaks to 5.59. (Closes: 961558)

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:57:46 +0200

kxmlgui (5.70.0-0ubuntu2) groovy; urgency=medium

  * No-change rebuild against qtbase-abi-5-14-2.

 -- Rik Mills <rikmills@kde.org>  Sat, 16 May 2020 08:57:26 +0000

kxmlgui (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:34:22 +0100

kxmlgui (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Add Build-Depends-Package to symbols file.
  * Enable hardening all.
  * Update symbols from build for 5.69.0.
  * Cleanup copyright file.
  * Cleanup Build-Depends.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:56:23 +0200

=== debian/control ===
Source: kxmlgui
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               doxygen,
               extra-cmake-modules (>= 5.74.0~),
               graphviz,
               libkf5attica-dev (>= 5.74.0~),
               libkf5config-dev (>= 5.74.0~),
               libkf5configwidgets-dev (>= 5.74.0~),
               libkf5coreaddons-dev (>= 5.74.0~),
               libkf5globalaccel-dev (>= 5.74.0~),
               libkf5i18n-dev (>= 5.74.0~),
               libkf5iconthemes-dev (>= 5.74.0~),
               libkf5itemviews-dev (>= 5.74.0~),
               libkf5widgetsaddons-dev (>= 5.74.0~),
               libkf5windowsystem-dev (>= 5.74.0~),
               libqt5sql5-sqlite,
               libqt5x11extras5-dev (>= 5.4),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.12.0~),
               qtbase5-private-dev (>= 5.7.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.5.0
Homepage: https://projects.kde.org/projects/frameworks/kxmlgui
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlgui
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlgui
Rules-Requires-Root: no

Package: libkf5xmlgui-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the runtime files.

Package: libkf5xmlgui-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the data files.

Package: libkf5xmlgui-dev
Section: libdevel
Architecture: any
Depends: libkf5attica-dev (>= 5.74.0~),
         libkf5config-dev (>= 5.74.0~),
         libkf5configwidgets-dev (>= 5.74.0~),
         libkf5globalaccel-dev (>= 5.74.0~),
         libkf5iconthemes-dev (>= 5.74.0~),
         libkf5itemviews-dev (>= 5.74.0~),
         libkf5windowsystem-dev (>= 5.74.0~),
         libkf5xmlgui5 (= ${binary:Version}),
         qtbase5-dev (>= 5.12.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5xmlgui-doc (= ${source:Version})
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 Contains development files for kxmlgui.

Package: libkf5xmlgui-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: User configurable main windows (documentation)
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5xmlgui5
Architecture: any
Multi-Arch: same
Depends: libkf5xmlgui-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5xmlgui-bin (= ${binary:Version})
Breaks: frameworkintegration (<< 5.28),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5plasmaquick5 (<< 5.42),
        libkf5webkit5 (<< 5.42),
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.

## kxmlgui 5.78.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.68.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.68.0") # handled by release scripts
+set(KF5_VERSION "5.78.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.78.0") # handled by release scripts
 project(KXmlGui VERSION ${KF5_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.68.0  NO_MODULE)
+find_package(ECM 5.78.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -40,7 +40,7 @@
 add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")
 
 # Dependencies
-set(REQUIRED_QT_VERSION 5.12.0)
+set(REQUIRED_QT_VERSION 5.14.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets Xml Network PrintSupport)
 if (NOT ANDROID)
   find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
@@ -50,10 +50,10 @@
 find_package(KF5ItemViews ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5ConfigWidgets ${KF5_DEP_VERSION} REQUIRED)
+find_package(KF5GuiAddons ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5WindowSystem ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5Attica ${KF5_DEP_VERSION})
 set_package_properties(KF5Attica PROPERTIES DESCRIPTION "A Qt library that implements the Open Collaboration Services API"
                        PURPOSE "Support for Get Hot New Stuff in KXMLGUI"
@@ -66,8 +66,8 @@
     find_package(KF5GlobalAccel ${KF5_DEP_VERSION} REQUIRED)
 endif()
 set (HAVE_GLOBALACCEL ${KF5GlobalAccel_FOUND})
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054300)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054B00)
 add_definitions(-DTRANSLATION_DOMAIN=\"kxmlgui5\")
 add_definitions(-DQT_NO_FOREACH)
 if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -67,7 +67,8 @@
 ecm_qt_declare_logging_category(kxmlgui_SRCS
     HEADER debug.h
     IDENTIFIER DEBUG_KXMLGUI
-    CATEGORY_NAME kf5.kxmlgui
+    CATEGORY_NAME kf.xmlgui
+    OLD_CATEGORY_NAMES kf5.kxmlgui
     DESCRIPTION "KXmlGui"
     EXPORT KXMLGUI
 )
@@ -85,7 +86,7 @@
     GROUP_BASE_NAME KF
     VERSION ${KF5_VERSION}
     DEPRECATED_BASE_VERSION 0
-    DEPRECATION_VERSIONS 4.0 4.1 5.0
+    DEPRECATION_VERSIONS 4.0 4.1 5.0 5.75
     EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
 )
 
@@ -104,11 +105,11 @@
     Qt5::PrintSupport   #QPrinter in kshortcutseditor
     Qt5::CorePrivate    #QSystemLocale in initializeLanguages
     KF5::CoreAddons     #KAboutData
+    KF5::GuiAddons
     KF5::WidgetsAddons
     KF5::ItemViews           #KWidgetItemDelegate in KAboutApplicationPersonListDelegate
     KF5::I18n                #i18n and i18nc in many places
     KF5::IconThemes         #KIconLoader and KIconThemes in KToolBar
-    KF5::WindowSystem       #KKeyServer in kkeysequencewidget
     ${XMLGUI_EXTRA_LIBS}
 )
 if (TARGET Qt5::DBus)

=== tests/krichtexteditor/CMakeLists.txt ===
set(krichtexteditorSources
  main.cpp
  krichtexteditor.cpp
)

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/..
   ${CMAKE_CURRENT_BINARY_DIR}/..
   )
add_executable(krichtexteditor ${krichtexteditorSources} )
ecm_mark_as_test(krichtexteditor)
target_link_libraries(krichtexteditor Qt5::Test KF5::ConfigWidgets KF5::TextWidgets KF5::XmlGui)

#install(TARGETS krichtexteditor DESTINATION ${KDE_INSTALL_BINDIR})
#install(FILES krichtexteditorui.rc DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/krichtexteditor)

=== debian/changelog ===
kxmlgui (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:26 +0900

kxmlgui (5.78.0-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libkf5xmlgui-bin, libkf5xmlgui-dev: Add Multi-Arch: same.

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:44 +0900

kxmlgui (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:37 +0900

kxmlgui (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:56 +0900

kxmlgui (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:17:46 +0200

kxmlgui (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Move categories file to libkf5xmlgui-data.
  * Add renamecategories file to libkf5xmlgui-data.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.
  * Update symbols from build for 5.74.0.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:46:09 +0200

kxmlgui (5.70.0-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update group breaks to 5.70.

 -- Sandro Knauß <hefee@debian.org>  Wed, 27 May 2020 02:15:55 +0200

=== debian/control ===
Source: kxmlgui
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.78.0~),
               graphviz,
               libkf5attica-dev (>= 5.78.0~),
               libkf5config-dev (>= 5.78.0~),
               libkf5configwidgets-dev (>= 5.78.0~),
               libkf5coreaddons-dev (>= 5.78.0~),
               libkf5globalaccel-dev (>= 5.78.0~),
               libkf5guiaddons-dev (>= 5.78.0~),
               libkf5i18n-dev (>= 5.78.0~),
               libkf5iconthemes-dev (>= 5.78.0~),
               libkf5itemviews-dev (>= 5.78.0~),
               libkf5widgetsaddons-dev (>= 5.78.0~),
               libkf5windowsystem-dev (>= 5.77.0~),
               libqt5sql5-sqlite,
               libqt5x11extras5-dev (>= 5.4),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.14.0~),
               qtbase5-private-dev (>= 5.7.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/kxmlgui
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kxmlgui
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kxmlgui.git
Rules-Requires-Root: no

Package: libkf5xmlgui-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the runtime files.

Package: libkf5xmlgui-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5xmlgui5 (<< 5.74)
Replaces: libkf5xmlgui5 (<< 5.74)
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the data files.

Package: libkf5xmlgui-dev
Section: libdevel
Architecture: any
Depends: libkf5attica-dev (>= 5.78.0~),
         libkf5config-dev (>= 5.78.0~),
         libkf5configwidgets-dev (>= 5.78.0~),
         libkf5globalaccel-dev (>= 5.78.0~),
         libkf5iconthemes-dev (>= 5.78.0~),
         libkf5itemviews-dev (>= 5.78.0~),
         libkf5windowsystem-dev (>= 5.77.0~),
         libkf5xmlgui5 (= ${binary:Version}),
         qtbase5-dev (>= 5.14.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5xmlgui-doc (= ${source:Version})
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 Contains development files for kxmlgui.
Breaks: kio-dev (<< 5.28),
        libkf5bookmarks-dev (<< 5.54),
        libkf5kcmutils-dev (<< 5.54),
        libkf5kio-dev (<< 5.54),
        libkf5newstuff-dev (<< 5.54),
        libkf5parts-dev (<< 5.54)
Multi-Arch: same

Package: libkf5xmlgui-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: User configurable main windows (documentation)
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5xmlgui5
Architecture: any
Multi-Arch: same
Depends: libkf5xmlgui-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5xmlgui-bin (= ${binary:Version})
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
Breaks: frameworkintegration (<< 5.70),
        kdesignerplugin (<< 5.70),
        kross (<< 5.70),
        ktexteditor-katepart (<< 5.70),
        libkf5bookmarks5 (<< 5.70),
        libkf5kcmutils5 (<< 5.70),
        libkf5kdelibs4support5 (<< 5.70),
        libkf5kdelibs4support5-bin (<< 5.70),
        libkf5khtml-bin (<< 5.70),
        libkf5khtml5 (<< 5.70),
        libkf5kiofilewidgets5 (<< 5.70),
        libkf5krossui5 (<< 5.70),
        libkf5mediaplayer5 (<< 5.70),
        libkf5newstuff5 (<< 5.70),
        libkf5parts-plugins (<< 5.70),
        libkf5parts5 (<< 5.70),
        libkf5plasma5 (<< 5.70),
        libkf5plasmaquick5 (<< 5.70),
        libkf5texteditor5 (<< 5.70),
        libkf5webkit5 (<< 5.70),
        plasma-framework (<< 5.70)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
VENDOR_NAME = $(shell dpkg-vendor --query Vendor)

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DXMLGUI_DISTRIBUTION_TEXT="$(VENDOR_NAME) packages"

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         dbus (>= 1.8),
         libkf5globalaccel-bin,
         openbox,
         xauth,
         xvfb,
         @,
         @builddeps@,
Restrictions: build-needed, allow-stderr

Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr

## kxmlgui 5.80.0

=== debian/changelog ===
kxmlgui (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:10:00 +0000

kxmlgui (5.79.0-0ubuntu1) hirsute; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.79.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:24:08 +0000

kxmlgui (5.78.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols files.
    - Disable testsuite.

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Jan 2021 20:34:10 +0000

kxmlgui (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:58:33 +0000

kxmlgui (5.77.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols files.
    - Disable testsuite.

 -- Rik Mills <rikmills@kde.org>  Wed, 06 Jan 2021 16:00:24 +0000

kxmlgui (5.77.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:12:14 +0000

kxmlgui (5.76.0-0ubuntu2) hirsute; urgency=medium

  * No-change rebuild against qtbase-abi-5-15-2.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 27 Nov 2020 14:07:37 +0300

kxmlgui (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * Update symbols
  * New upstream release (5.76.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:24:53 +0000

kxmlgui (5.74.0-0ubuntu2) hirsute; urgency=medium

  * No-change rebuild against qtbase-abi-5-15-1.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 30 Oct 2020 14:02:39 +0300

=== debian/control ===
Source: kxmlgui
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.80.0~),
               graphviz,
               libkf5attica-dev (>= 5.80.0~),
               libkf5config-dev (>= 5.80.0~),
               libkf5configwidgets-dev (>= 5.80.0~),
               libkf5coreaddons-dev (>= 5.80.0~),
               libkf5globalaccel-dev (>= 5.80.0~),
               libkf5guiaddons-dev (>= 5.80.0~),
               libkf5i18n-dev (>= 5.80.0~),
               libkf5iconthemes-dev (>= 5.80.0~),
               libkf5itemviews-dev (>= 5.80.0~),
               libkf5widgetsaddons-dev (>= 5.80.0~),
               libkf5windowsystem-dev (>= 5.80.0~),
               libqt5sql5-sqlite,
               libqt5x11extras5-dev (>= 5.4),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.14.0~),
               qtbase5-private-dev (>= 5.7.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/kxmlgui
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlgui
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kxmlgui
Rules-Requires-Root: no

Package: libkf5xmlgui-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the runtime files.

Package: libkf5xmlgui-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5xmlgui5 (<< 5.74)
Replaces: libkf5xmlgui5 (<< 5.74)
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the data files.

Package: libkf5xmlgui-dev
Section: libdevel
Architecture: any
Depends: libkf5attica-dev (>= 5.80.0~),
         libkf5config-dev (>= 5.80.0~),
         libkf5configwidgets-dev (>= 5.80.0~),
         libkf5globalaccel-dev (>= 5.80.0~),
         libkf5iconthemes-dev (>= 5.80.0~),
         libkf5itemviews-dev (>= 5.80.0~),
         libkf5windowsystem-dev (>= 5.80.0~),
         libkf5xmlgui5 (= ${binary:Version}),
         qtbase5-dev (>= 5.14.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5xmlgui-doc (= ${source:Version})
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 Contains development files for kxmlgui.
Breaks: kio-dev (<< 5.28),
        libkf5bookmarks-dev (<< 5.54),
        libkf5kcmutils-dev (<< 5.54),
        libkf5kio-dev (<< 5.54),
        libkf5newstuff-dev (<< 5.54),
        libkf5parts-dev (<< 5.54),
Multi-Arch: same

Package: libkf5xmlgui-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: User configurable main windows (documentation)
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5xmlgui5
Architecture: any
Multi-Arch: same
Depends: libkf5xmlgui-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5xmlgui-bin (= ${binary:Version})
Description: User configurable main windows.
 framework for designing the user interface
 of an application using XML, using the idea
 of actions.

## kxmlgui 5.86.0

=== debian/changelog ===
kxmlgui (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:50:00 +0100

kxmlgui (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:29:32 +0100

kxmlgui (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:02:19 +0100

kxmlgui (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:19:25 +0100

kxmlgui (5.82.0-0ubuntu2) impish; urgency=medium

  * For now revert an upstream commit that breaks Konsole initial window
    size. Commit "Fix initial window size calculations" - f147fcf22318
    - debian/patches: kubuntu_revert-commit-f147fcf22318.patch 

 -- Rik Mills <rikmills@kde.org>  Sun, 09 May 2021 16:45:29 +0100

kxmlgui (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:59:03 +0100

kxmlgui (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:31:31 +0100

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,19 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                graphviz,
-               libkf5attica-dev (>= 5.80.0~),
-               libkf5config-dev (>= 5.80.0~),
-               libkf5configwidgets-dev (>= 5.80.0~),
-               libkf5coreaddons-dev (>= 5.80.0~),
-               libkf5globalaccel-dev (>= 5.80.0~),
-               libkf5guiaddons-dev (>= 5.80.0~),
-               libkf5i18n-dev (>= 5.80.0~),
-               libkf5iconthemes-dev (>= 5.80.0~),
-               libkf5itemviews-dev (>= 5.80.0~),
-               libkf5widgetsaddons-dev (>= 5.80.0~),
-               libkf5windowsystem-dev (>= 5.80.0~),
+               libkf5attica-dev (>= 5.86.0~),
+               libkf5config-dev (>= 5.86.0~),
+               libkf5configwidgets-dev (>= 5.86.0~),
+               libkf5coreaddons-dev (>= 5.86.0~),
+               libkf5globalaccel-dev (>= 5.86.0~),
+               libkf5guiaddons-dev (>= 5.86.0~),
+               libkf5i18n-dev (>= 5.86.0~),
+               libkf5iconthemes-dev (>= 5.86.0~),
+               libkf5itemviews-dev (>= 5.86.0~),
+               libkf5widgetsaddons-dev (>= 5.86.0~),
+               libkf5windowsystem-dev (>= 5.86.0~),
                libqt5sql5-sqlite,
                libqt5x11extras5-dev (>= 5.4),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -60,13 +60,13 @@
 Package: libkf5xmlgui-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5attica-dev (>= 5.80.0~),
-         libkf5config-dev (>= 5.80.0~),
-         libkf5configwidgets-dev (>= 5.80.0~),
-         libkf5globalaccel-dev (>= 5.80.0~),
-         libkf5iconthemes-dev (>= 5.80.0~),
-         libkf5itemviews-dev (>= 5.80.0~),
-         libkf5windowsystem-dev (>= 5.80.0~),
+Depends: libkf5attica-dev (>= 5.86.0~),
+         libkf5config-dev (>= 5.86.0~),
+         libkf5configwidgets-dev (>= 5.86.0~),
+         libkf5globalaccel-dev (>= 5.86.0~),
+         libkf5iconthemes-dev (>= 5.86.0~),
+         libkf5itemviews-dev (>= 5.86.0~),
+         libkf5windowsystem-dev (>= 5.86.0~),
          libkf5xmlgui5 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
          ${misc:Depends},

=== debian/tests/control ===
#Tests: testsuite
#Depends: build-essential,
#         dbus (>= 1.8),
#         libkf5globalaccel-bin,
#         openbox,
#         xauth,
#         xvfb,
#         @,
#         @builddeps@,
#Restrictions: build-needed, allow-stderr
#
Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr
